function [pibeats]=pick_some(potbeats,pos,expBBI,amount)

for richtung=1:size(expBBI,2);
    pibeats=pos;
    nnI=expBBI(1,richtung);
for k =1: (amount-1)
    nI=nnI;
    % suchglocken , bestimmen Suchbereich fuer naechsten Schlag
     next=pibeats(1,end)+nI;
    g1=exp(-0.5*((potbeats(1,:)-next)/60).^2);
     next2=pibeats(1,end)+2*nI; % der uebernaechste
    g2=exp(-0.5*((potbeats(1,:)-next2)/80).^2); 
    next3=pibeats(1,end)+3*nI; % der ueber-uebernaechste 
    g3=exp(-0.5*((potbeats(1,:)-next3)/100).^2); 
    
      [m1, ind1]=max(potbeats(2,:).*g1); % gesucht wird nach maximum von : Suchglocke * Konformitaet 
        [m2, ind2]=max(potbeats(2,:).*g2);
           [m3, ind3]=max(potbeats(2,:).*g3);
           
    if(m3>3*m2&&m3>3*m1&&m3>0.5)  
        neu1=pibeats(1,end)+round( ( potbeats(1,ind3)-pibeats(1,end))/3); 
        neu2=pibeats(1,end)+round( ( potbeats(1,ind3)-pibeats(1,end))*2/3); 
        pibeats=[pibeats(1,:), neu1, neu2 ,  potbeats(1,ind3); ...
                       pibeats(2,:),      0,           0,  potbeats(2,ind3) ]; % 3 hinzufuegen, 2 mit Null-similarity
            
    elseif(m2>3*m1&&m2>0.5)
        neu1=pibeats(1,end)+round( ( potbeats(1,ind2)-pibeats(1,end))/2); 
       pibeats=[pibeats(1,:), neu1,  potbeats(1,ind2); ...
                       pibeats(2,:),     0  ,   potbeats(2,ind2) ]; % zwei hinzufuegen, einer mit Null-similarity
    else
        pibeats=[pibeats, potbeats(:,ind1) ];  % einen hinzufuegen
    end
   
    nnI=0.6*nI+0.4*(pibeats(1,end)-pibeats(1,end-1));
  
end
%pbeat=pbeat(:,1:(end-1));
pibeats_leftright{1,richtung}=[pibeats];

end
pibeats=[pibeats_leftright{1,:}];
[~, u_ind]=unique(pibeats(1,:));
pibeats=pibeats(:,u_ind);


end